TechDraw DiameterDimension/en: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 4: Line 4:
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Radius.png
|IconL=TechDraw_Dimension_Radius.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Angle.png
|IconR=TechDraw_Dimension_Angle.svg
}}
}}


Line 23: Line 23:
{{Caption|Measuring a circle, indicating the diameter}}
{{Caption|Measuring a circle, indicating the diameter}}


==How to use==
==Usage==


# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
# Press the {{Button|[[Image:Dimension_Diameter.png|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# Press the {{Button|[[Image:TechDraw_Dimension_Diameter.svg|16px]] [[TechDraw Dimension Diameter|Dimension Diameter]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.
# A dimension will be added to the View. The dimension may be dragged to the desired position.


Line 55: Line 55:
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Dimension_Angle|New Angle]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Module|TechDraw]]
|IconL=Techdraw_Dimension_Radius.png
|IconL=TechDraw_Dimension_Radius.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=Techdraw_Dimension_Angle.png
|IconR=TechDraw_Dimension_Angle.svg
}}
}}



Revision as of 02:30, 10 February 2020

TechDraw Dimension Diameter

Menu location
TechDraw → Dimension Diameter
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Radius

Description

The Dimension Diameter tool adds a diameter dimension to a View. The dimension may be applied to any circular in the drawing. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

Measuring a circle, indicating the diameter

Usage

  1. Select a circular edge in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a diameter dimension in these cases)
  2. Press the Dimension Diameter button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Diameter tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Diameter"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)